%define name	freeradius-web
%define version 1.75
%define release 0.1mdk

Summary:	Web based administration interface for freeradius
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	dialup_admin-%{version}.tar.bz2
Patch0:		dialup_admin-1.75-mdk_config.diff.bz2
URL:		http://sourceforge.net/projects/dialup-admin/
License:	GPL
Group:		System/Servers
#Requires:	ldapserver
#Requires:	php-ldap
BuildRequires:	perl
Requires:	apache2
Requires:	freeradius
Requires:	mod_php
Requires:	mysqlserver
Requires:	net-snmp
Requires:	net-snmp-utils
Requires:	perl-DBI
Requires:	perl-DBI
Requires:	perl-DateManip
Requires:	php-common
Requires:	php-mysql
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
dialup_admin is a web based administration interface for the
freeradius radius server. It is written in PHP4. It is modular
and right now it assumes that user information is stored in an
ldap server or an sql database and accounting in an sql server.

%prep 

%setup -q -n dialup_admin-%{version}
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# move php3 to php
find * -name '*.php3' | while read php3; do
    mv $php3 ${php3%%.php3}.php
done

find . -type f | xargs perl -pi -e "s|\.php3|\.php|g"

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/www/html/admin/%{name}

install -m0644 conf/accounting.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/admin.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/auth.request %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/captions.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/config.php %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/default.vals %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/extra.ldap-attrmap %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/naslist.conf %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/sql.attrmap %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/sql.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/user_edit.attrs %{buildroot}%{_sysconfdir}/%{name}
install -m0644 conf/username.mappings %{buildroot}%{_sysconfdir}/%{name}

install -m0755 bin/clean_radacct %{buildroot}%{_bindir}/
install -m0755 bin/log_badlogins %{buildroot}%{_bindir}/
install -m0755 bin/monthly_tot_stats %{buildroot}%{_bindir}/
install -m0755 bin/showmodem %{buildroot}%{_bindir}/
install -m0755 bin/snmpfinger %{buildroot}%{_bindir}/freeradius-web-snmpfinger
install -m0755 bin/tot_stats %{buildroot}%{_bindir}/
install -m0755 bin/truncate_radacct %{buildroot}%{_bindir}/

cp -aRf htdocs %{buildroot}/var/www/html/admin/%{name}/
cp -aRf html %{buildroot}/var/www/html/admin/%{name}/
cp -aRf lib %{buildroot}/var/www/html/admin/%{name}/
install -m0644 README %{buildroot}/var/www/html/admin/%{name}/

# fix a simple redirector
cat > %{buildroot}/var/www/html/admin/%{name}/index.html << EOF
<html>
<head>
<title></title>
<meta HTTP-EQUIV="REFRESH" CONTENT="0; URL=htdocs/index.html">
</head>
<body>
</body>
</html>
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/FAQ doc/HELP_WANTED doc/TODO Changelog
%doc sql bin/dialup_admin.cron
%attr(0755,apache,apache) %dir %{_sysconfdir}/%{name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/accounting.attrs
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/admin.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/auth.request
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/captions.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/config.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/default.vals
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/extra.ldap-attrmap
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/naslist.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/sql.attrmap
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/sql.attrs
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/user_edit.attrs
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}/username.mappings
%attr(0755,root,root) %{_bindir}/clean_radacct
%attr(0755,root,root) %{_bindir}/freeradius-web-snmpfinger
%attr(0755,root,root) %{_bindir}/log_badlogins
%attr(0755,root,root) %{_bindir}/monthly_tot_stats
%attr(0755,root,root) %{_bindir}/showmodem
%attr(0755,root,root) %{_bindir}/tot_stats
%attr(0755,root,root) %{_bindir}/truncate_radacct
/var/www/html/admin/%{name}

%changelog
* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.75-0.1mdk
- yanked the source from the freeradius CVS
- fix P0

* Sun Mar 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.63-0.1mdk
- initial cooker contrib
- yanked the source from CVS
